System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

The most common type of converter is one that converts to and from a text representation. The type converter for a class is bound to the class with a . Unless this attribute is overridden, all classes that inherit from this class use the same type converter as the base class.

For general type system purposes, do not access a type converter directly. Instead, access the appropriate converter by using . For more information, see the code examples provided.

Note For XAML purposes, a XAML processor searches for the directly, instead of going through . For cases where you do want a instance from code, or where you create a shared instance in WPF resources, it is acceptable to construct it directly without referencing or other reflection and type system support.

Classes derived from are often referenced as part of how a XAML processor converts an attribute or initialization text value from markup (which is inherently a string) and generates an object for a run-time representation. Custom type authors that intend to support a type conversion behavior for XAML typically implement a class that supports their own unique ConvertFrom behavior from a string. This behavior enables type conversion from the string provided as a XAML attribute value and provides a XAML processor with the support needed to create an object from the string, so that the object can be produced in a parsed object graph. Custom types or members of custom types are indicated by applying to the definitions, with the attribute referencing the custom implementation. For more information, see Type Converters for XAML Overview.

Provides a unified way of converting types of values to other types, as well as for accessing standard values and subproperties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  As implemented in this class, this method always returns false. It never returns true.

  Returns whether this converter can convert an object of the given type to the type of this converter.

  true if this converter can perform the conversion; otherwise, false.

  A that represents the type you want to convert from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  As implemented in this class, this method returns false, unless is an .

  Returns whether this converter can convert an object of the given type to the type of this converter, using the specified context.

  true if this converter can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you want to convert from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  If is a string, the default implementation of always returns true.

  Returns whether this converter can convert the object to the specified type.

  true if this converter can perform the conversion; otherwise, false.

  A that represents the type you want to convert to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  If is a string, the default implementation of always returns true.

  Returns whether this converter can convert the object to the specified type, using the specified context.

  true if this converter can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you want to convert to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added: an object of type 'object' To be added

  Converts the given value to the type of this converter.

  An that represents the converted value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  Custom type authors that intend to support a type conversion behavior for XAML typically implement a class that supports behavior from a string. This behavior enables type conversion from the string provided as a XAML attribute value and provides a XAML processor with the support needed to create an object from the string, so that the object can be produced in a parsed object graph. Custom types or members of custom types are indicated by applying to the definitions, with the attribute referencing the custom implementation.

  For XAML purposes, you do not typically provide branching implementations based on . This is because XAML is precompiled in a development environment context, and culture-specific information for runtime XAML is not relevant for XAML type conversion. For more information, see Type Converters for XAML Overview.

  Converts the given object to the type of this converter, using the specified context and culture information.

  An that represents the converted value.

  An that provides a format context. The to use as the current culture. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The default implementation always returns null.

  Converts the given string to the type of this converter, using the invariant culture.

  An that represents the converted text.

  The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  An exception is raised if the string cannot be converted into the appropriate object. The default implementation always returns null.

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Converts the given string to the type of this converter, using the invariant culture and the specified context.

  An that represents the converted text.

  An that provides a format context. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The default implementation always returns null.

  Converts the specified text to an object.

  An that represents the converted text.

  The text representation of the object to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  An exception is raised if the string cannot be converted into the appropriate object. The default implementation always returns null.

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Converts the given text to an object, using the specified context.

  An that represents the converted text.

  An that provides a format context. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  An exception is raised if the string cannot be converted into the appropriate object. The default implementation always returns null.

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Converts the given text to an object, using the specified context and culture information.

  An that represents the converted text.

  An that provides a format context. A . If null is passed, the current culture is assumed. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  The most common type to convert to and from is a string object. This implementation calls on the object, if the object is valid and if the destination type is a string.

  Converts the given value object to the specified type, using the arguments.

  An that represents the converted value.

  The to convert. The to convert the parameter to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  The most common types to convert are to and from a string object. This implementation calls on the object if the object is valid and if the destination type is a string.

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Custom type authors that intend to support a type conversion behavior for XAML typically implement a class that supports behavior from a string. These type converters might also implement to support serialization back to XAML.

  Some XAML serialization scenarios cannot be adequately addressed with alone. In these cases, it may be necessary to also define a that handles the serialization cases that would otherwise be handled by . For more information, see .

  Converts the given value object to the specified type, using the specified context and culture information.

  An that represents the converted value.

  An that provides a format context. A . If null is passed, the current culture is assumed. The to convert. The to convert the parameter to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The parameter can be used to extract additional information about the environment from which this converter is being invoked. This can be null, so always check. Also, properties on the context object can return null.

  Depending on the implementation of the value formatter, it might be possible to pass the returned string back into the value formatter to re-create an instance of the object.

  Converts the specified value to a culture-invariant string representation.

  A that represents the converted value.

  The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Depending on the implementation of the value formatter, it might be possible to pass the returned string back into the value formatter to re-create an instance of the object.

  Converts the specified value to a culture-invariant string representation, using the specified context.

  A that represents the converted value.

  An that provides a format context. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  Depending on the implementation of the value formatter, it might be possible to pass the returned string back into the value formatter to re-create an instance of the object.

  Converts the specified value to a string representation.

  An that represents the converted value.

  The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Depending on the implementation of the value formatter, it might be possible to pass the returned string back into the value formatter to re-create an instance of the object.

  Converts the given value to a string representation, using the given context.

  An that represents the converted value.

  An that provides a format context. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` ``

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Depending on the implementation of the value formatter, it might be possible to pass the returned string back into the value formatter to re-create an instance of the object.

  Converts the given value to a string representation, using the specified context and culture information.

  An that represents the converted value.

  An that provides a format context. A . If null is passed, the current culture is assumed. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  Use this method for objects that are immutable, but for which you want to provide changeable properties.

  The dictionary provided by the parameter has a series of name/value pairs, one for each property returned from .

  Re-creates an given a set of property values for the object.

  An representing the given , or null if the object cannot be created. This method always returns null.

  An that represents a dictionary of new property values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  Use this method for objects that are immutable, but for which you want to provide changeable properties.

  Creates an instance of the type that this is associated with, using the specified context, given a set of property values for the object.

  An representing the given , or null if the object cannot be created. This method always returns null.

  An that provides a format context. An of new property values.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` To be added

  Returns an exception to throw when a conversion cannot be performed.

  An that represents the exception to throw when a conversion cannot be performed.

  The to convert, or null if the object is not available.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Exception `` `` To be added

  Returns an exception to throw when a conversion cannot be performed.

  An that represents the exception to throw when a conversion cannot be performed.

  The to convert, or null if the object is not available. A that represents the type the conversion was trying to convert to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Returns whether changing a value on this object requires a call to the method to create a new value.

  true if changing a property on this object requires a call to to create a new value; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  As implemented in this class, this method always returns false.

  Returns whether changing a value on this object requires a call to to create a new value, using the specified context.

  true if changing a property on this object requires a call to to create a new value; otherwise, false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection ``

  As implemented in this class, this method always returns null.

  By default, a type does not return properties. An easy implementation of this method can call for the correct data type.

  Returns a collection of properties for the type of array specified by the value parameter.

  A with the properties that are exposed for this data type, or null if there are no properties.

  An that specifies the type of array for which to get properties.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` ``

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  As implemented in this class, this method always returns null.

  By default, a type does not return properties. An easy implementation of this method can call for the correct data type.

  Returns a collection of properties for the type of array specified by the value parameter, using the specified context.

  A with the properties that are exposed for this data type, or null if there are no properties.

  An that provides a format context. An that specifies the type of array for which to get properties.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` `` ``

  As implemented in this class, this method always returns null.

  Returns a collection of properties for the type of array specified by the value parameter, using the specified context and attributes.

  A with the properties that are exposed for this data type, or null if there are no properties.

  An that provides a format context. An that specifies the type of array for which to get properties. An array of type that is used as a filter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  As implemented in this class, this method always returns false.

  Returns whether this object supports properties.

  true if should be called to find the properties of this object; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  As implemented in this class, this method always returns false.

  Returns whether this object supports properties, using the specified context.

  true if should be called to find the properties of this object; otherwise, false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection

  As implemented in this class, this method always returns null.

  Returns a collection of standard values from the default context for the data type this type converter is designed for.

  A containing a standard set of valid values, or null if the data type does not support a standard set of values.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  As implemented in , this method always returns null.

  Returns a collection of standard values for the data type this type converter is designed for when provided with a format context.

  A that holds a standard set of valid values, or null if the data type does not support a standard set of values.

  An that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  As implemented in this class, this method always returns false.

  If the list is exclusive, such as in an enumeration data type, then no other values are valid. If the list is not exclusive, then other valid values might exist in addition to the list of standard values that the method provides. If the values are exclusive, the list returned by should not allow these values to be edited.

  Returns whether the collection of standard values returned from is an exclusive list.

  true if the returned from is an exhaustive list of possible values; false if other values are possible.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  As implemented in this class, this method always returns false.

  If the list is exclusive, such as in an enumeration data type, then no other values are valid. If the list is not exclusive, then other valid values might exist in addition to the list of standard values that the method provides. If the values are exclusive, the list returned by should not allow these values to be edited.

  Returns whether the collection of standard values returned from is an exclusive list of possible values, using the specified context.

  true if the returned from is an exhaustive list of possible values; false if other values are possible.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Returns whether this object supports a standard set of values that can be picked from a list.

  true if should be called to find a common set of values the object supports; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  As implemented in this class, this method always returns false.

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Returns whether this object supports a standard set of values that can be picked from a list, using the specified context.

  true if should be called to find a common set of values the object supports; otherwise, false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Starting in net_v40_long, the method catches exceptions from the and methods. If the input value type causes to return false, or if the input value causes to raise an exception, the method returns false.

  To enable the legacy behavior, insert the following lines into the configuration file of the application, for example, application1.exe.config.

  `<configuration> <appSettings> <add key="UseCompatibleTypeConverterBehavior" value="true" /> </appSettings> </configuration>`

  Returns whether the given value object is valid for this type.

  true if the specified value is valid for this object; otherwise, false.

  The object to test for validity.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  Use the parameter to extract additional information about the environment from which this converter is invoked. This parameter can be null, so always check it. Also, properties on the context object can return null.

  Starting in net_v40_long, the method catches exceptions from the and methods. If the input value type causes to return false, or if the input value causes to raise an exception, the method returns false.

  To enable the legacy behavior, insert the following lines into the configuration file of the application, for example, application1.exe.config.

  `<configuration> <appSettings> <add key="UseCompatibleTypeConverterBehavior" value="true" /> </appSettings> </configuration>`

  Returns whether the given value object is valid for this type and for the specified context.

  true if the specified value is valid for this object; otherwise, false.

  An that provides a format context. The to test for validity.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` ``

  All properties in the collection that are not already in the array of names are added alphabetically to the end. If the parameter is an empty array or null, all the properties in the collection are sorted alphabetically.

  Sorts a collection of properties.

  A that contains the sorted properties.

  A that has the properties to sort. An array of names in the order you want the properties to appear in the collection.